DTS_APPLIANCE_UPDATE-SHIPPING-ADDRESS(1)

NAME
dts_appliance_update-shipping-address -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Updates the shipping address

USAGE

oci dts appliance update-shipping-address [OPTIONS]

REQUIRED PARAMETERS

--addressee [text]

    Company or person to send the appliance to

--appliance-label [text]

    Appliance label

--job-id [text]

    OCID of the Transfer Job

OPTIONAL PARAMETERS

--address1 [text]

    Address line 1.

--address2 [text]

    Optional address line 2.

--address3 [text]

    Optional address line 3.

--address4 [text]

    Optional address line 4.

--care-of [text]

    Place/person to direct the package to.

--city-or-locality [text]

    City or Locality.

--country [text]

    Country.

--email [text]

    Email address.

--force

    Perform update without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--phone-number [text]

    Phone number.

--state-province-region [text]

    State or Province or Region.

--zip-postal-code [text]

    Zip or Postal Code

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export bucket=<substitute-value-of-bucket> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/job/create.html#cmdoption-bucket
    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/job/create.html#cmdoption-compartment-id
    export device_type=<substitute-value-of-device_type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/job/create.html#cmdoption-device-type
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/job/create.html#cmdoption-display-name
    export addressee=<substitute-value-of-addressee> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/appliance/update-shipping-address.html#cmdoption-addressee
    export appliance_label=<substitute-value-of-appliance_label> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/dts/appliance/update-shipping-address.html#cmdoption-appliance-label
    job_id=$(oci dts job create --bucket $bucket --compartment-id $compartment_id --device-type $device_type --display-name $display_name --query data.id --raw-output)
    oci dts appliance update-shipping-address --addressee $addressee --appliance-label $appliance_label --job-id $job_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle